List Cart Shipping Options

GET/store/:storeCode/shipping-options
publishable key

List shipping options for a cart.

Path Parameters
storeCoderequiredstring

Store slug in the URL (first argument to every SDK store method).

Query Parameters
cart_idrequiredstring

Cart to list options for.

is_returnboolean

Whether to list return shipping options.

limitnumber

Maximum number of items to return.

offsetnumber

Number of items to skip before collecting the result set.

orderstring

Field to sort by. Prefix with `-` for descending order (e.g. `-created_at`).

fieldsstring

Comma-separated fields to include. Prefix with `*` to expand a relation (e.g. `id,*variants`).

Response

Status

200OK

Schema

Copy
HttpTypes.StoreShippingOptionListResponse

Properties

shipping_optionsrequiredStoreCartShippingOption[]

Available shipping options.